<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/Trace.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Trace.hh Details</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/Trace.hh</h1><div><a href="../../Source/Synopsis/Trace.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Trace.hh.html" >Synopsis/Trace.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html" >Trace</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::Trace::Entry</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace/Entry.html#enabled" >enabled</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::Trace</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#my_level" >my_level</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#my_mask" >my_mask</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#my_scope" >my_scope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#my_visibility" >my_visibility</a>
<div class="doc"></div></div>

</div>
<div><h3>Enums in Synopsis::Trace</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#Category" >Category</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Trace::Entry</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace/Entry.html#Entry_lbool_r" >Entry&#40;bool&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Trace/Entry.html#Entry_lconst.Entry_A_r" >Entry&#40;const&#160;Entry&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Trace/Entry.html#_tEntry_l_r" >~Entry&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Trace</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#Trace_lconst.std_mstring_A_cunsigned.int_r" >Trace&#40;const&#160;std::string&amp;&#44;unsigned&#160;int&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#enable_lunsigned.int_r" >enable&#40;unsigned&#160;int&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member function templates in Synopsis::Trace::Entry</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace/Entry.html#operator_L_L_lconst.T_A_rconst" >operator&lt;&lt;&#40;const&#160;T&amp;&#41;const</a>
<div class="doc"></div></div>

</div>
<div><h3>Member function templates in Synopsis::Trace</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#Trace_lconst.std_mstring_A_cunsigned.int_cconst.T_A_r" >Trace&#40;const&#160;std::string&amp;&#44;unsigned&#160;int&#44;const&#160;T&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Trace.html#operator_L_L_lconst.T_A_rconst" >operator&lt;&lt;&#40;const&#160;T&amp;&#41;const</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespaces</h3>
<div class="item"><a href="../../Scopes/Synopsis.html" >Synopsis</a>
<div class="doc"></div></div>

</div>
<div><h3>Structs in Synopsis::Trace</h3>
<div class="item"><a href="../../Scopes/Synopsis/Trace/Entry.html" >Entry</a>
<div class="doc"></div></div>
</div>

</body>
</html>
